Package org.eclipse.jface.text.projection

# Class ChildDocumentManager

java.lang.Object
org.eclipse.jface.text.projection.ProjectionDocumentManager
org.eclipse.jface.text.projection.ChildDocumentManager

All Implemented Interfaces:
  `IDocumentListener`, `ISlaveDocumentManager`, `ISlaveDocumentManagerExtension`

public class ChildDocumentManager extends ProjectionDocumentManager
Implementation of a child document manager based on `ProjectionDocumentManager`. This class exists for compatibility reasons.

Internal class. This class is not intended to be used by clients outside the Platform Text framework.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`ChildDocumentManager()`

## Method Summary

Modifier and Type
Method
Description
`protected ProjectionDocument`
`createProjectionDocument(IDocument master)`
Factory method for projection documents.

### Methods inherited from class org.eclipse.jface.text.projection.ProjectionDocumentManager

`createMasterSlaveMapping, createSlaveDocument, documentAboutToBeChanged, documentChanged, fireDocumentEvent, freeSlaveDocument, getMasterDocument, getSlaveDocuments, isSlaveDocument, setAutoExpandMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChildDocumentManager

public ChildDocumentManager()

## Method Details

### createProjectionDocument

protected ProjectionDocument createProjectionDocument(IDocument master)
Description copied from class: `ProjectionDocumentManager`
Factory method for projection documents.

Overrides:
  `createProjectionDocument` in class `ProjectionDocumentManager`
Parameters:
  `master` - the master document
Returns:
  the newly created projection document